## CamelMedium

CamelMedium

## Synopsis

    struct              CamelMedium;
                        CamelMediumHeader;
    void                camel_medium_add_header             (CamelMedium *medium,
                                                             const char *name,
                                                             const void *value);
    void                camel_medium_set_header             (CamelMedium *medium,
                                                             const char *name,
                                                             const void *value);
    void                camel_medium_remove_header          (CamelMedium *medium,
                                                             const char *name);
    const void*         camel_medium_get_header             (CamelMedium *medium,
                                                             const char *name);
    GArray*             camel_medium_get_headers            (CamelMedium *medium);
    void                camel_medium_free_headers           (CamelMedium *medium,
                                                             GArray *headers);
    CamelDataWrapper*   camel_medium_get_content_object     (CamelMedium *medium);
    void                camel_medium_set_content_object     (CamelMedium *medium,
                                                             CamelDataWrapper *content);

## Description

## Details

### struct CamelMedium

    struct CamelMedium {
    	CamelDataWrapper parent_object;

    	/* The content of the medium, as opposed to our parent
    	 * CamelDataWrapper, which wraps both the headers and the
    	 * content.
    	 */
    	CamelDataWrapper *content;
    };

### CamelMediumHeader

    typedef struct {
    	const char *name;
    	const char *value;
    } CamelMediumHeader;

### camel_medium_add_header ()

    void                camel_medium_add_header             (CamelMedium *medium,
                                                             const char *name,
                                                             const void *value);

`medium` : |
`name` : |
`value` : |

### camel_medium_set_header ()

    void                camel_medium_set_header             (CamelMedium *medium,
                                                             const char *name,
                                                             const void *value);

`medium` : |
`name` : |
`value` : |

### camel_medium_remove_header ()

    void                camel_medium_remove_header          (CamelMedium *medium,
                                                             const char *name);

`medium` : |
`name` : |

### camel_medium_get_header ()

    const void*         camel_medium_get_header             (CamelMedium *medium,
                                                             const char *name);

`medium` : |
`name` : |
Returns : |

### camel_medium_get_headers ()

    GArray*             camel_medium_get_headers            (CamelMedium *medium);

`medium` : |
Returns : |

### camel_medium_free_headers ()

    void                camel_medium_free_headers           (CamelMedium *medium,
                                                             GArray *headers);

`medium` : |
`headers` : |

### camel_medium_get_content_object ()

    CamelDataWrapper*   camel_medium_get_content_object     (CamelMedium *medium);

`medium` : |
Returns : |

### camel_medium_set_content_object ()

    void                camel_medium_set_content_object     (CamelMedium *medium,
                                                             CamelDataWrapper *content);

`medium` : |
`content` : |